<table class="table table-condensed table-bordered">
  <thead>
    <tr>
      <th>Jahr</th>
      <th>Monat</th>
      <th>Name</th>
      <th>Preis</th>
    </tr>
  </thead>
  </tbody>
  <tr ng-style="{'background-color': transaction.name === 'rent' ? 'rgba(225, 255, 212, 0.5)': (transaction.price < 0 ? 'rgba(212, 225, 255, 0.5)' : 'rgba(225, 212, 255, 0.5)')}" ng-repeat="transaction in data track by $index">
    <td>{{transaction.year}}</td>
    <td>{{month(transaction)}}</td>
    <td>
      <div ng-if="transaction.name === 'deposit'">
        <div ng-if="transaction.price < 0">
          Einzahlung
        </div>
        <div ng-if="transaction.price >= 0">
          Auszahlung
        </div>
      </div>
      <div ng-if="transaction.name === 'rent'">
        Miete
      </div>
    </td>
    <td>
      <div ng-if="transaction.price < 0">
        {{-transaction.price}}
      </div>
      <div ng-if="transaction.price >= 0">
        {{transaction.price}}
      </div>
    </td>
  </tr>
  </tbody>
</table>